ffmpeg-extra 4:0.5.9-0ubuntu0.10.04.3 source package in Ubuntu

Changelog

ffmpeg-extra (4:0.5.9-0ubuntu0.10.04.3) lucid-security; urgency=low

  * SECURITY UPDATE: unspecified security issue in vp56.c (LP: #1104019)
    - debian/patches/CVE-2012-2783.patch: release frames on error in
      libavcodec/vp56.c.
    - CVE-2012-2783
  * SECURITY UPDATE: double free vulnerability in mpeg_decode_frame
    - debian/patches/CVE-2012-2803.patch: do not decode extradata more than
      once in libavcodec/mpeg12.c.
    - CVE-2012-2803
 -- Marc Deslauriers <email address hidden>   Thu, 24 Jan 2013 13:48:47 -0500

Upload details

Uploaded by:
Marc Deslauriers on 2013-01-25
Uploaded to:
Lucid
Original maintainer:
Ubuntu Developers
Architectures:
any
Section:
libs
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Lucid updates on 2013-01-28 multiverse libs
Lucid security on 2013-01-28 multiverse libs

Downloads

File Size SHA-256 Checksum
ffmpeg-extra_0.5.9.orig.tar.gz 3.2 MiB acb9a0693be6cd82e7e4e7928bb4227704cea67e8df67d30963e5dc1604908e4
ffmpeg-extra_0.5.9-0ubuntu0.10.04.3.diff.gz 63.3 KiB 45b5155e719ed755453d9b56611b0cabe8437d540987d4afa070cde6734bf7aa
ffmpeg-extra_0.5.9-0ubuntu0.10.04.3.dsc 3.2 KiB 8d27ba2dcd1f7ca6c5df6bd1128347cbec3bf7ed189b46511a9b26f6a12ed80a

View changes file

Binary packages built by this source

libavcodec-extra-52: ffmpeg codec library

 This is the codec library from the ffmpeg project. It supports most existing
 encoding formats (MPEG, DivX, MPEG4, AC3, DV...).
 .
 This package contains a unrestricted version of the libavcodec shared
 object that should only be used by Debian packages.

libavcodec-unstripped-52: ffmpeg utility library - transitional package

 This package can be safely removed if no other packages depend on this

libavdevice-extra-52: ffmpeg device handling library

 This is the device handling library from the ffmpeg project.
 .
 This package contains a unrestricted version of the libavdevice shared
 object that should only be used by Debian packages.

libavdevice-unstripped-52: ffmpeg utility library - transitional package

 This package can be safely removed if no other packages depend on this

libavfilter-extra-0: ffmpeg video filtering library

 This is the video filtering library from the ffmpeg project.
 .
 This package contains a unrestricted version of the libavfilter shared
 object that should only be used by Debian packages.

libavfilter-unstripped-0: ffmpeg utility library - transitional package

 This package can be safely removed if no other packages depend on this

libavformat-extra-52: ffmpeg file format library

 This is the demuxer library from the ffmpeg project. It supports most
 existing file formats (AVI, MPEG, OGG, Matroska, ASF...).
 .
 This package contains a unrestricted version of the libavformat shared
 object that should only be used by Debian packages.

libavformat-unstripped-52: ffmpeg utility library - transitional package

 This package can be safely removed if no other packages depend on this

libavutil-extra-49: ffmpeg utility library

 This is the common utility library from the ffmpeg project. It is required
 by all other ffmpeg libraries.
 .
 This package contains a unrestricted version of the libavutil shared
 object that should only be used by Debian packages.

libavutil-unstripped-49: ffmpeg utility library - transitional package

 This package can be safely removed if no other packages depend on this

libpostproc-extra-51: ffmpeg video postprocessing library

 This is the video postprocessing library from the ffmpeg project.
 .
 This package contains a unrestricted version of the libpostproc shared
 object that should only be used by Debian packages.

libpostproc-unstripped-51: ffmpeg utility library - transitional package

 This package can be safely removed if no other packages depend on this

libswscale-extra-0: ffmpeg video scaling library

 This is the video scaling library from the ffmpeg project.
 .
 This package contains a unrestricted version of the libswscale shared
 object that should only be used by Debian packages.

libswscale-unstripped-0: ffmpeg utility library - transitional package

 This package can be safely removed if no other packages depend on this